[project]
name = "cavaliba"
version = "3.34.0"
description = "www.cavaliba.com"
readme = "README.md"
requires-python = ">=3.12"
dependencies = [
    "babel>=2.18.0",
    "celery<5.7.0",
    "django<6.0.0",
    "django-redis>=6.0.0",
    "django-tinymce<3.7",
    "gunicorn>=25.1.0",
    "html2text>=2025.4.15",
    "mysqlclient>=2.2.8",
    "psycopg2>=2.9.11",
    "pyjwt>=2.12.1",
    "pyyaml<6.1",
    "requests>=2.32.5",
]

[tool.ruff]
line-length = 130

[dependency-groups]
dev = [
    "black>=26.3.1",
    "django-debug-toolbar>=6.2.0",
    "ruff>=0.15.6",
]
